# $Revision: 1.17 $, $Date: 2004/10/19 20:39:58 $
#
# Conditional build:
%bcond_without	gl	# without OpenGL support
%bcond_without	gnome	# without GNOME support
%bcond_without	rox	# without ROX support
%bcond_without	sdl	# without SDL support
#
Summary:	General Applet Interface library
Summary(pl):	Oglna biblioteka interfejsu apletu
Name:		gai
Version:	0.5.8
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/sourceforge/gai/%{name}-%{version}.tar.bz2
# Source0-md5:	29d90cb37fe5341009b27ffd09f871cb
Patch0:		%{name}-opt.patch
Patch1:		%{name}-libdir.patch
URL:		http://gai.sourceforge.net/
%{?with_sdl:BuildRequires:	SDL-devel >= 1.2}
BuildRequires:	autoconf >= 2.53
%{?with_gl:BuildRequires:	gtkglext-devel >= 1.0}
%{?with_gnome:BuildRequires:	gnome-panel-devel >= 2.4.0}
BuildRequires:	gtk+2-devel >= 2.0
BuildRequires:	pkgconfig
%{?with_rox:BuildRequires:	rox >= 2.1}
BuildRequires:	zlib-devel
%{?with_gnome:Provides:	gai(gnome) = %{version}-%{release}}
%{?with_rox:Provides:	gai(rox) = %{version}-%{release}}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
This library is intended to simplify the development and use of
dockapps. With this library the programmer can focus on what the
applet shall do, not on the interface.

%description -l pl
Zamiarem tej biblioteki jest uproszczenie tworzenia i uywania
apletw. Przy pomocy tej biblioteki programista moe si skupi na tym
co aplet powinien robi a nie na jego interfejsie.

%package devel
Summary:	Development files for the GAI
Summary(pl):	Pliki rozwojowe dla GAI
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
%if %{with gnome}
Requires:	gnome-panel-devel >= 2.4.0
Requires:	gai(gnome) = %{version}-%{release}
Provides:	gai-devel(gnome) = %{version}-%{release}
%endif
%{?with_gl:Requires:	gtkglext-devel >= 1.0}
%if %{with rox}
Requires:	gai(rox) = %{version}-%{release}
Provides:	gai-devel(rox) = %{version}-%{release}
%endif
Requires:	gtk+2-devel >= 2.0

%description devel
Header files required for development using GAI.

%description devel -l pl
Pliki nagwkowe wymagane do tworzenia programw z uyciem GAI.

%prep
%setup -q 
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure \
	%{!?with_gl:--disable-gl} \
	%{!?with_gnome:--disable-gnome} \
	%{!?with_rox:--disable-rox} \
	%{!?with_sdl:--disable-sdl}

%{__make} \
	OPT="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -rf examples/[!C]* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README README.gai THANKS TODO WINDOWMANAGERS 
%attr(755,root,root) %{_libdir}/libgai.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/*
%attr(755,root,root) %{_libdir}/libgai.so
%{_includedir}/gai
%{_pkgconfigdir}/gai.pc
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gai.spec,v $
Revision 1.17  2004/10/19 20:39:58  yogib
- second atempt to fix amd64, added libdir patch

Revision 1.16  2004/10/19 19:41:01  yogib
- trying to fix building on amd64

Revision 1.15  2004/09/25 09:55:45  paladine
- updated to 0.5.8

Revision 1.14  2004/09/07 08:44:29  wiget
- conditional P: gai(rox) and gai(gnome)
- release 2

Revision 1.13  2004/08/27 17:49:09  yogib
- updated to 0.5.7

Revision 1.12  2004/06/03 20:10:07  twittner
- stop spamming pld-cvs-commit - other URL for Source

Revision 1.11  2004/06/03 19:16:09  yogib
- updated to 0.5.6

Revision 1.10  2004/04/19 20:11:11  yogib
- updated to 0.5.5

Revision 1.9  2004/04/11 14:57:57  yogib
- updated to 0.5.4

Revision 1.8  2004/04/04 17:41:32  ankry
- cosmetics

Revision 1.7  2004/04/04 13:56:19  yogib
- updated to 0.5.3
- added bcond for rox support
- updated docs

Revision 1.6  2004/01/25 13:07:41  yogib
- updated to 0.5.2

Revision 1.5  2004/01/18 10:54:16  yogib
- up to 0.5.1

Revision 1.4  2004/01/11 10:59:32  yogib
- up to 0.5.0, rel 1
- added bcond: sdl (joystick support), BR: zlib-devel
- removed link.patch, fixed by author

Revision 1.3  2003/12/17 22:26:39  qboosh
- added link patch (linking fix based on patch by yogib)

Revision 1.2  2003/12/06 23:28:15  qboosh
- md5, many unifications, cosmetics
- deal with gl and gnome options (bconds, default on)
- added opt patch to pass our optflags

Revision 1.1  2003/12/06 23:26:59  qboosh
- from yogib <zban at intermedia.net.pl>
